Bug 1204369 - (CVE-2022-42004) VUL-0: CVE-2022-42004: jackson-databind: jackson-databind: use of deeply nested arrays
(CVE-2022-42004)
VUL-0: CVE-2022-42004: jackson-databind: jackson-databind: use of deeply nest...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Fridrich Strba
Security Team bot
https://smash.suse.de/issue/344154/
CVSSv3.1:SUSE:CVE-2022-42004:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-10-17 09:24 UTC by Stoyan Manolov
Modified: 2022-11-26 09:15 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stoyan Manolov 2022-10-17 09:24:04 UTC
In FasterXML jackson-databind before 2.13.4, resource exhaustion can occur because of a lack of a check in BeanDeserializer._deserializeFromArray to prevent use of deeply nested arrays. An application is vulnerable only with certain customized choices for deserialization.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2135247
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=50490
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-42004
https://www.cve.org/CVERecord?id=CVE-2022-42004
https://github.com/FasterXML/jackson-databind/commit/063183589218fec19a9293ed2f17ec53ea80ba88
http://www.cvedetails.com/cve/CVE-2022-42004/
https://github.com/FasterXML/jackson-databind/issues/3582
Comment 3 Swamp Workflow Management 2022-11-15 20:32:01 UTC
SUSE-SU-2022:3995-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1204369,1204370
CVE References: CVE-2022-42003,CVE-2022-42004
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    jackson-databind-2.13.4.2-150200.3.12.1
openSUSE Leap 15.3 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Manager Server 4.1 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Manager Retail Branch Server 4.1 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Manager Proxy 4.1 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Module for SUSE Manager Server 4.3 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    jackson-databind-2.13.4.2-150200.3.12.1
SUSE Enterprise Storage 7 (src):    jackson-databind-2.13.4.2-150200.3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.